<?php
/* Copyright (C) 2001-2005 Rodolphe Quiedeville <rodolphe@quiedeville.org>
 * Copyright (C) 2004-2015 Laurent Destailleur  <eldy@users.sourceforge.net>
 * Copyright (C) 2005-2012 Regis Houssin        <regis.houssin@inodbox.com>
 * Copyright (C) 2015      Jean-François Ferry	<jfefe@aternatik.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 */

/**
 *	\file       settlements/settlementsindex.php
 *	\ingroup    settlements
 *	\brief      Home page of settlements top menu
 */


// Load Dolibarr environment

$res = 0;
// Try main.inc.php into web root known defined into CONTEXT_DOCUMENT_ROOT (not always defined)
if (!$res && !empty ($_SERVER["CONTEXT_DOCUMENT_ROOT"])) {
    $res = @include $_SERVER["CONTEXT_DOCUMENT_ROOT"] . "/main.inc.php";
}
// Try main.inc.php into web root detected using web root calculated from SCRIPT_FILENAME
$tmp = empty ($_SERVER['SCRIPT_FILENAME']) ? '' : $_SERVER['SCRIPT_FILENAME'];
$tmp2 = realpath(__FILE__);
$i = strlen($tmp) - 1;
$j = strlen($tmp2) - 1;
while ($i > 0 && $j > 0 && isset ($tmp[$i]) && isset ($tmp2[$j]) && $tmp[$i] == $tmp2[$j]) {
    $i--;
    $j--;
}
if (!$res && $i > 0 && file_exists(substr($tmp, 0, ($i + 1)) . "/main.inc.php")) {
    $res = @include substr($tmp, 0, ($i + 1)) . "/main.inc.php";
}
if (!$res && $i > 0 && file_exists(dirname(substr($tmp, 0, ($i + 1))) . "/main.inc.php")) {
    $res = @include dirname(substr($tmp, 0, ($i + 1))) . "/main.inc.php";
}
// Try main.inc.php using relative path
if (!$res && file_exists("../main.inc.php")) {
    $res = @include "../main.inc.php";
}
if (!$res && file_exists("../../main.inc.php")) {
    $res = @include "../../main.inc.php";
}
if (!$res && file_exists("../../../main.inc.php")) {
    $res = @include "../../../main.inc.php";
}
if (!$res) {
    die ("Include of main fails");
}

require_once DOL_DOCUMENT_ROOT . '/core/class/html.formfile.class.php';
require_once DOL_DOCUMENT_ROOT . '/custom/bbus/class/facturestat.class.php';
require_once DOL_DOCUMENT_ROOT . '/custom/bbus/class/facturestorno.class.php';
require_once DOL_DOCUMENT_ROOT . '/custom/financialreport/class/checkoutclosure_helper.class.php';
require_once DOL_DOCUMENT_ROOT . '/custom/financialreport/class/checkoutclosure.class.php';
require_once DOL_DOCUMENT_ROOT . '/custom/settlements/core/tpl/printPDF_szisz.php';

// Load translation files required by the page
$langs->loadLangs(array("financialreport@financialreport"));

$action = GETPOST('action', 'aZ09');
$id = GETPOST('id', 'int');
$idmenu = GETPOST('idmenu', 'int');
$entityClosing = GETPOST('entityClosing', 'alpha');
$datastring = GETPOST('datastring', 'alpha');

$form = new Form($db);
$formfile = new FormFile($db);
$factureStat = new FactureStat();
$factureStorno = new FactureStorno();
$helper = new CheckoutclosureHelper();

include DOL_DOCUMENT_ROOT . '/custom/financialreport/core/actions_addupdatedelete.inc.php';
if ($entityClosing) {
    $string = $idmenu . '_' . $entityClosing;
    $formconfirm = $form->formconfirm($_SERVER["PHP_SELF"] . '?datastring=' . $string, $langs->trans('CheckoutClosureConfirm'), $langs->trans('CheckoutCloseurConfirmObject', $userString), 'confirm_checkoutclosure_settlement', '', 0, 1);
}

$allEntities = $helper->getAllEntities();

$title = '';
$help_url = '';
$morejs = '';
$morecss = '';
llxHeader('', $title, $help_url, '', 0, 0, $morejs, $morecss, '', 'classforhorizontalscrolloftabs');

$url = $_SERVER["PHP_SELF"] . '?idmenu=' . $idmenu . '&mainmenu=financialreport&leftmenu=';

if ($entityClosing) {
    print $formconfirm;
}

print '<form method="POST" id="checkoutclosurehhistoryForm" action="' . $url . '">' . "\n";
print '<input type="hidden" name="token" value="' . newToken() . '">';
print '<input type="hidden" name="formfilteraction" id="formfilteraction" value="list">';
print '<input type="hidden" name="action" value="list">';
print '<input type="hidden" name="sortfield" value="' . $sortfield . '">';
print '<input type="hidden" name="sortorder" value="' . $sortorder . '">';
print load_fiche_titre($langs->trans("checkoutclosureHistory"), '', 'financialreport.png@financialreport');

print '</form>' . "\n";
llxFooter();
$db->close();